#!/bin/bash

if [[ -z "${DEBEMAIL}" ]]; then
  DEBEMAIL="$1"
fi

if [[ -z "${DEBEMAIL}" ]]; then
  echo "E-mail address required for packaging signing with gpg key!"
  echo "Usage: ./make-pkg.sh EMAIL"
  exit 1
fi

BUILD_DIR=build_deb
TORCH_VERSION=$(git describe --tags --abbrev=0)
DEBIAN_PKG=torch-agent-$TORCH_VERSION

rm -rf $BUILD_DIR
rm -rf dist

mkdir $BUILD_DIR

python3 setup.py clean
python3 setup.py sdist
cp dist/$DEBIAN_PKG.tar.gz $BUILD_DIR/
cd $BUILD_DIR
tar -xzmf $DEBIAN_PKG.tar.gz
cd ..

PKG_ROOT=$BUILD_DIR/$DEBIAN_PKG

mkdir -p $PKG_ROOT/src/etc/torch

cp -r debian $PKG_ROOT/
cp torch.conf $PKG_ROOT/src/etc/torch/

cd $PKG_ROOT

export USER=`whoami`
dh_make --createorig -e $DEBEMAIL -s -y
dpkg-buildpackage -k$DEBEMAIL
